# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check

%global crate varlink_generator

Name:           rust-%{crate}
Version:        6.0.0
Release:        1%{?dist}
Summary:        Rust code generator for the varlink protocol

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/varlink_generator
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(failure/default) >= 0.1.0 with crate(failure/default) < 0.2.0)
BuildRequires:  (crate(failure_derive/default) >= 0.1.0 with crate(failure_derive/default) < 0.2.0)
BuildRequires:  (crate(getopts/default) >= 0.0.0 with crate(getopts/default) < 1.0.0)
BuildRequires:  (crate(proc-macro2/default) >= 0.4.0 with crate(proc-macro2/default) < 0.5.0)
BuildRequires:  (crate(quote/default) >= 0.6.0 with crate(quote/default) < 0.7.0)
BuildRequires:  (crate(syn/default) >= 0.15.0 with crate(syn/default) < 0.16.0)
BuildRequires:  (crate(varlink_parser/default) >= 2.1.0 with crate(varlink_parser/default) < 3.0.0)

%global _description \
Rust code generator for the varlink protocol.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
%{summary}.

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/varlink-rust-generator

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Dec 10 2018 Josh Stone <jistone@redhat.com> - 6.0.0-1
- Update to 6.0.0

* Mon Nov 26 2018 Josh Stone <jistone@redhat.com> - 5.1.1-1
- Update to 5.1.1

* Sat Nov 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.1.0-2
- Adapt to new packaging

* Tue Oct 09 2018 Josh Stone <jistone@redhat.com> - 5.1.0-1
- Update to 5.1.0

* Mon Oct 08 2018 Josh Stone <jistone@redhat.com> - 5.0.1-1
- Update to 5.0.1

* Sun Sep 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.0.0-1
- Initial package
